summaryrefslogtreecommitdiff
path: root/tests/ignore-matching-lines
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ignore-matching-lines')
-rwxr-xr-xtests/ignore-matching-lines3
1 files changed, 1 insertions, 2 deletions
diff --git a/tests/ignore-matching-lines b/tests/ignore-matching-lines
index 5db9ba3..1b3259f 100755
--- a/tests/ignore-matching-lines
+++ b/tests/ignore-matching-lines
@@ -39,8 +39,7 @@ cat <<'EOF' >exp
+7
EOF
-diff -u --ignore-matching-lines 3 a b >out 2>err
-test $? = 1 || fail=1
+returns_ 1 diff -u --ignore-matching-lines 3 a b >out 2>err || fail=1
sed 1,2d out >outtail || framework_failure+
compare exp outtail || fail=1